// Code generated by MockGen. DO NOT EDIT.
// Source: internal/repositories/community_event_repository.go

// Package mock_repositories is a generated GoMock package.
package mock_repositories

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	model "gitlab.com/z.amir/community-administration-cli/internal/model"
)

// MockCommunityEventRepository is a mock of CommunityEventRepository interface.
type MockCommunityEventRepository struct {
	ctrl     *gomock.Controller
	recorder *MockCommunityEventRepositoryMockRecorder
}

// MockCommunityEventRepositoryMockRecorder is the mock recorder for MockCommunityEventRepository.
type MockCommunityEventRepositoryMockRecorder struct {
	mock *MockCommunityEventRepository
}

// NewMockCommunityEventRepository creates a new mock instance.
func NewMockCommunityEventRepository(ctrl *gomock.Controller) *MockCommunityEventRepository {
	mock := &MockCommunityEventRepository{ctrl: ctrl}
	mock.recorder = &MockCommunityEventRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockCommunityEventRepository) EXPECT() *MockCommunityEventRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockCommunityEventRepository) Create(event model.CommunityEvent) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", event)
	ret0, _ := ret[0].(error)
	return ret0
}

// Create indicates an expected call of Create.
func (mr *MockCommunityEventRepositoryMockRecorder) Create(event interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockCommunityEventRepository)(nil).Create), event)
}

// Delete mocks base method.
func (m *MockCommunityEventRepository) Delete(baseEvent model.BaseCommunityEvent) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", baseEvent)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete.
func (mr *MockCommunityEventRepositoryMockRecorder) Delete(baseEvent interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockCommunityEventRepository)(nil).Delete), baseEvent)
}

// Get mocks base method.
func (m *MockCommunityEventRepository) Get(baseEvent model.BaseCommunityEvent) (*model.CommunityEvent, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", baseEvent)
	ret0, _ := ret[0].(*model.CommunityEvent)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockCommunityEventRepositoryMockRecorder) Get(baseEvent interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockCommunityEventRepository)(nil).Get), baseEvent)
}

// List mocks base method.
func (m *MockCommunityEventRepository) List() (*[]model.CommunityEvent, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "List")
	ret0, _ := ret[0].(*[]model.CommunityEvent)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// List indicates an expected call of List.
func (mr *MockCommunityEventRepositoryMockRecorder) List() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "List", reflect.TypeOf((*MockCommunityEventRepository)(nil).List))
}

// Update mocks base method.
func (m *MockCommunityEventRepository) Update(updatedEvent model.CommunityEvent, baseEventToUpdate model.BaseCommunityEvent) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", updatedEvent, baseEventToUpdate)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update.
func (mr *MockCommunityEventRepositoryMockRecorder) Update(updatedEvent, baseEventToUpdate interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockCommunityEventRepository)(nil).Update), updatedEvent, baseEventToUpdate)
}
